############################################################################################
# GPsection.tcl
#
# This routine creates a fiber section and aggregates torsion to it: plate section 
# 
# Variables
	# secID = section ID number
	# matID = material ID number
	# matTorsion = torsion material ID number 
	# d  	= nominal depth (along local y)	
	# t		= gusset plate tickness (along local z)
	# nfd 	= number of fibers along depth  
	# nft 	= number of fibers along thickness 

	 
############################################################################################

############################################################################################

proc GPsection { secID matID d t nfd nft } {

	set y1 [expr -$d/2]
	set y2 [expr  $d/2]
  
	set z1 [expr -$t/2]
	set z2 [expr  $t/2]
  
	section fiberSec  $secID  {
   		#                     nfIJ  nfJK    yI  zI    yJ  zJ    yK  zK    yL  zL
   		patch quadr  $matID   $nft  $nfd   $y1 $z2   $y1 $z1   $y2 $z1   $y2 $z2
	}
}